Subject: Re: [bug#30886] Libreoffice

From: [email-masked] (Ludovic Courtès)
Date: Wed, 04 Apr 2018 14:30:55 +0200

Hello Thomas,

Sorry for the late reply.

Thomas Sigurdsen <[email-masked]> skribis:

> First is a change according to a comment. I started looking at these because
> I wanted to check digital signatures and NSS was needed. Not sure NPAPI is
> needed for NSS, but it is now enabled as per the old comment.

OK.

> Second is enabling gtk2. This fixes  bug#30642 for me. I think this is
> because I'm not using gnome and therefore libreoffice can't find what it
> needs. But Idk.
>
> Filechooser dialog and digital signatures work with these 2 changes here.
>
>>From 4623ee9b626efe331dacfc97383d15bd80a9e4f3 Mon Sep 17 00:00:00 2001
> From: Tonton <[email-masked]>
> Date: Tue, 20 Mar 2018 17:23:52 +0100
> Subject: [PATCH 1/2] The corresponding inputs looks to be packaged (builds
>  succesfully)
>
> Signed-off-by: Tonton <[email-masked]>
> ---
>  gnu/packages/libreoffice.scm | 3 +--
>  1 file changed, 1 insertion(+), 2 deletions(-)
>
> diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
> index 316602adb..77c83b014 100644
> --- a/gnu/packages/libreoffice.scm
> +++ b/gnu/packages/libreoffice.scm
> @@ -1027,8 +1027,7 @@ and to return information on pronunciations, meanings and synonyms.")
>            "--without-fonts"
>            ;; With java, the build fails since sac.jar is missing.
>            "--without-java"
> -          ;; FIXME: Enable once the corresponding inputs are packaged.
> -          "--without-system-npapi-headers"
> +          "--with-system-npapi-headers"

I suspect this doesn’t have any effect because ‘configure’ complains:

--8<---------------cut here---------------start------------->8---
configure: WARNING: unrecognized options: --enable-fast-install, --enable-verbose, --with-system-npapi-headers
--8<---------------cut here---------------end--------------->8---

Are you sure digital signatures don’t work without this patch?

>>From ac709f4766668030de58b76e5a3a847796c379e5 Mon Sep 17 00:00:00 2001
> From: Tonton <[email-masked]>
> Date: Tue, 20 Mar 2018 17:24:49 +0100
> Subject: [PATCH 2/2] Enable gtk2
>
> Racionale: on systems without gtk2 the openfile dialog makes openoffice
> crash. This (enabling gtk2) fixes this.
>
> Signed-off-by: Tonton <[email-masked]>

This is not OK because we’d rather keep using GTK+3.

Could you try the patch below and see if it fixes the FileChooser issue?

Thanks,
Ludo’.

diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
index ef40e018b..5b8991299 100644
--- a/gnu/packages/libreoffice.scm
+++ b/gnu/packages/libreoffice.scm
@@ -27,6 +27,7 @@
 
 (define-module (gnu packages libreoffice)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system glib-or-gtk)
   #:use-module (guix build-system trivial)
   #:use-module (guix download)
   #:use-module ((guix licenses)
@@ -855,7 +856,7 @@ and to return information on pronunciations, meanings and synonyms.")
       (sha256
        (base32
         "0icd8h221gp2dsbn6d35flwhqhcfpx66cjc5dg8yifhhvrfam74i"))))
-    (build-system gnu-build-system)
+    (build-system glib-or-gtk-build-system)
     (native-inputs
      `(("bison" ,bison)
        ("cppunit" ,cppunit-1.14)